PT BIA - Support #1928

[ESS Overtime] Validasi Approval Pengajuan Overtime
01/12/2023 02:06 PM - Mega Yunita

Status: QA Test Start date: 01/09/2023
Priority: High Due date: 01/13/2023
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.50 hours
Description

Dear Azid,

Mohon dibantu untuk membuatkan validasi pada proses pengajuan ESS Overtime, yaitu proses approval membaca struktur OM.

Contoh :
Requestor = 16120480
Approval DS : 13070171

Port : http:/hris-bia-dev.minovais.com:11137/

DB : MinovakES_BIA Dev

Server : 45.251.75.66

Menu : My WorkPlace > Request > Time Management > Overtime

Terima kasih

Related issues:
Copied from Support #1915: [ESS Leave] Validasi Approval Pengajuan Cuti QA Test 01/09/2023 01/10/2023

History

#1 - 01/12/2023 02:06 PM - Mega Yunita
- Copied from Support #1915: [ESS Leave] Validasi Approval Pengajuan Cuti added

#2 - 01/12/2023 02:07 PM - Mega Yunita
- File deleted (clipboard-202301121043-wrnck.png)

#3 - 01/12/2023 02:07 PM - Mega Yunita
- File deleted (clipboard-202301121044-zw55h.png)

#4 - 01/12/2023 03:23 PM - Mega Yunita
- Subject changed from [ESS Leave] Validasi Approval Pengajuan Overtime to [ESS Overtime] Validasi Approval Pengajuan Overtime

#5 - 01/12/2023 03:45 PM - Mega Yunita

- Description updated

#6 - 01/12/2023 04:24 PM - Mega Yunita

- File clipboard-202301121621-zmyr4.png added
- File clipboard-202301121622-sp4uq.png added
- File clipboard-202301121623-jrqnt.png added

Oke, sudah sesuai yaa.
Dengan skenario :

Requester : 16120480
Approval DS : 13070171

Proses pengajuan overtime oleh DS untuk employee di bawahnya sudah berhasil.
Proses approve oleh atasan juga sudah berhasil
= MyWorkplace  Human Resource  System Administration Search Q A mega ~
Time Data
HOME > TIME DATA
@ My Workplace Employee Overview Jesika Baure
Employee ID: 11110031 Company 1D: PT Bio Inti Agrindo
Full Name: Jesika Baure Employee Office: BSO
Employee Status Active Organization Payroll
Cost Centar ‘ Employee Type: Permanent Position: Staff Payroll
Cost Element
Job Catalog
. Work Scheduls Personal Work Sch Aftendance Absence Quota Absence
Qualification Catalog
KPI Catalog
Impart ORM Structure Action Clear Filters
Import ORM Data ( MD Type) Start Da... End Date OvertimeType Day Before Flag | DayType StartPl... End Pl... Plan Duration =~ StartTime | End Ti.. Duration | Not
Bt OR M CHEHTye) 12/01/2023  12/01/2023  After Work Schedule  NO' Working Day 607H Normal ~ 19:00 2100 2.00 1900 21:00 2.00
B Organization Report
B Employee Administration
M Time Management
I Benefit Administration
I Travel Management
B Payroll Administration
Data overtime employee yang ditunjuk sudah tercatat di HR
= My Workplace  Human Resource  System Administration Search Q, > mega ~
Time Data
HOME > TIME DATA
@ My Workplace Employee Overview
Employee D 11110031 Company ID: PT Bio Inti Agrindo
Full Name: Jesika Baure Employse Office: BSO
Employse Status: Active Organization: Fayroll
Cost Center ‘ Employse Type: Permanent Position: Staff Fayroll
Cost Element
Job Catalog
" Work Schedule Personal Work Sch Attendance Absence Quota Absence
Qualification Catalog .
KPI Catalog
Import ORM Structure Action Clear Fitters
Import ORM Data [ MD Type ) Start Da... End Date OvertimeType DayBefore Flag = DayType Start Pl... End Pl... Plan Duration | StartTime | End Ti.. Duration | Not
Exporl DRM (M Typs ) 1200172023 12/01/2023  After Work Schedule  NO Working Day 6D7H Normal  19:00 2100 2.00 1900 21:00 2.00

B Organization Report

B Employee Administration
B Time Management

I Benefit Administration
= Travel Management

B Payroll Administration

Data overtime employee yang tidak ditunjuk, tidak tercatat di HR
Employee bawahan yang ditunjuk untuk Gvertime, datanya sudah tercatat di HR
= MyWorkplace  Human Resource  System Administration Search Q A mega ~ -
Time Data
HOME > TIME DATA
@ My Workplace Employee Overview - 16090459 - Endang Belopadang
Employee ID: 16090459 Company 1D: PT Bio Inti Agrindo
Full Name: Endang Belopadang Employee Office: BSO
Employee Status: Active Organization: HRD
Cost Centar Employee Typs: Permanent Position: Master Data dan SAP
Cost Element
Job Catalog
Work Scheduls Personal Work Sch Aftendance Absence Quota Absence | Overtime \
Qualification Catalog . —
KPI Catalog
Import ORM Structure Action Clear Fitters.
Import ORM Data ( MD Type ) Start Da... End Date | OvertimeTy... Day Before Flag | DayTy... Start Pl... End Pl... Plan Duration = StartTime | End Ti.. Duration | Notes

EDou QRNME L voet No Data Display

B Organization Report

B Employse Administration Employes yang tidak ditunjuk oleh atasan untuk melakukan overtime, datanya tidak tercatat

M Time Management

M Benefit Administration

I Travel Management

B Payroll Administration

#7 - 01/12/2023 04:28 PM - M Azid Wahyudi
- Status changed from New to QA Test
- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega ,, udah bisa di test

package :
update di deftask sesuai task id parameter : DirectSpviNEW

makasih

Files
